Index: roard/Makefile
===================================================================
--- roard/Makefile	(revision 3255)
+++ roard/Makefile	(revision 3262)
@@ -3,5 +3,5 @@
 OBJ=roard.o driver.o mixer.o output.o signals.o loop.o clients.o streams.o network.o commands.o req.o sources.o sample.o meta.o codecfilter.o lib.o ssynth.o container_framework.o
 SUBSYS=midi.o light.o raw.o rdtcs.o waveform.o
-DRV=driver_esd.o driver_ao.o driver_roar.o driver_raw.o driver_oss.o driver_shout.o driver_sndio.o driver_dmx.o driver_pwmled.o driver_sysclock.o driver_wmm.o
+DRV=driver_esd.o driver_ao.o driver_roar.o driver_raw.o driver_oss.o driver_shout.o driver_sndio.o driver_dmx.o driver_pwmled.o driver_sysclock.o driver_wmm.o driver_dstr.o
 CF_CODEC=codecfilter_cmd.o codecfilter_vorbis.o codecfilter_celt.o codecfilter_speex.o codecfilter_alaw.o codecfilter_mulaw.o codecfilter_sndfile.o codecfilter_fishsound.o
 CF_CONTAINER=codecfilter_wave.o codecfilter_raum.o
Index: roard/driver.c
===================================================================
--- roard/driver.c	(revision 2779)
+++ roard/driver.c	(revision 3262)
@@ -39,4 +39,7 @@
    ROAR_SUBSYS_WAVEFORM|ROAR_SUBSYS_MIDI|ROAR_SUBSYS_LIGHT|ROAR_SUBSYS_RAW|ROAR_SUBSYS_COMPLEX,
    NULL, NULL, driver_raw_open_vio},
+ { "dstr", "VIO DSTR driver", "/some/file", DRV_FLAG_FHSEC,
+   ROAR_SUBSYS_WAVEFORM|ROAR_SUBSYS_MIDI|ROAR_SUBSYS_LIGHT|ROAR_SUBSYS_RAW|ROAR_SUBSYS_COMPLEX,
+   NULL, NULL, driver_dstr_open_vio},
 #endif
 #if defined(ROAR_HAVE_OSS_BSD) || defined(ROAR_HAVE_OSS)
Index: roard/driver_dstr.c
===================================================================
--- roard/driver_dstr.c	(revision 3262)
+++ roard/driver_dstr.c	(revision 3262)
@@ -0,0 +1,54 @@
+//driver_dstr.c:
+
+/*
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2009-2010
+ *
+ *  This file is part of roard a part of RoarAudio,
+ *  a cross-platform sound system for both, home and professional use.
+ *  See README for details.
+ *
+ *  This file is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License version 3
+ *  as published by the Free Software Foundation.
+ *
+ *  RoarAudio is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with this software; see the file COPYING.  If not, write to
+ *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
+ *
+ */
+
+#include "roard.h"
+
+int driver_dstr_open_vio  (struct roar_vio_calls * inst,
+                           char * device,
+                           struct roar_audio_info * info,
+                           int fh,
+                           struct roar_stream_server * sstream) {
+ struct roar_vio_defaults def;
+
+ if ( fh == -1 ) {
+  if ( device == NULL )
+   return -1;
+
+  if ( roar_vio_dstr_init_defaults(&def, ROAR_VIO_DEF_TYPE_NONE, O_WRONLY|O_CREAT|O_TRUNC, 0644) == -1 )
+   return -1;
+
+  if ( roar_vio_open_dstr(inst, device, &def, 1) == -1 )
+   return -1;
+ } else {
+  if ( roar_vio_open_fh(inst, fh) == -1 )
+   return -1;
+ }
+
+ if ( sstream != NULL )
+  roar_vio_ctl(inst, ROAR_VIO_CTL_SET_SSTREAM, sstream);
+
+ return 0;
+}
+
+//ll
Index: roard/include/driver.h
===================================================================
--- roard/include/driver.h	(revision 2803)
+++ roard/include/driver.h	(revision 3262)
@@ -63,4 +63,5 @@
 #include "driver_roar.h"
 #include "driver_raw.h"
+#include "driver_dstr.h"
 #include "driver_dmx.h"
 #include "driver_pwmled.h"
Index: roard/include/driver_dstr.h
===================================================================
--- roard/include/driver_dstr.h	(revision 3262)
+++ roard/include/driver_dstr.h	(revision 3262)
@@ -0,0 +1,32 @@
+//driver_dstr.h:
+
+/*
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2009-2010
+ *
+ *  This file is part of roard a part of RoarAudio,
+ *  a cross-platform sound system for both, home and professional use.
+ *  See README for details.
+ *
+ *  This file is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License version 3
+ *  as published by the Free Software Foundation.
+ *
+ *  RoarAudio is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with this software; see the file COPYING.  If not, write to
+ *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
+ *
+ */
+
+#ifndef _DRIVER_DSTR_H_
+#define _DRIVER_DSTR_H_
+
+int driver_dstr_open_vio  (struct roar_vio_calls * inst, char * device, struct roar_audio_info * info, int fh, struct roar_stream_server * sstream);
+
+#endif
+
+//ll
